package com.fjhx.flow.entity.flow.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseIdPo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 流程节点定义
 * </p>
 *
 * @author
 * @since 2023-03-15
 */
@Getter
@Setter
@TableName("flow_definition_node")
public class FlowDefinitionNode extends BaseIdPo {

    /**
     * 流程定义id
     */
    private Long flowDefinitionId;

    /**
     * 节点名称
     */
    @NotNull(message = "流程节点名称不能为空")
    private String nodeName;

    /**
     * 节点类型 1开始 2审核 3审批 4办理 5分支 99结束
     */
    @NotNull(message = "流程节点类型不能为空")
    private Integer nodeType;

    /**
     * 跳转条件
     */
    private String jumpCondition;

    /**
     * 父节点id
     */
    @NotNull(message = "流程父级节点不能为空")
    private Long parentId;

    /**
     * 处理方法
     */
    private String handlingMethod;

    /**
     * 发起 / 处理对象类型（1用户 2部门负责人 3部门总监 4岗位）
     */
    private Integer handleObjectType;

    /**
     * 指定对象id
     */
    private Long handleObjectId;

    @NotNull(message = "流程节点id不能为空")
    public Long getId() {
        return super.getId();
    }

}
